Herald
OpenapiUser

Disable TOTP two-factor authentication for the current user

Disables TOTP and removes the configuration. Requires a single-use reauth ticket obtained by verifying any one of the user's factors (password, TOTP, or Passkey) via `POST /api/user/reauth/verify` (see `consume_reauth`). Cannot be disabled if the realm has force-enabled TOTP.

DELETE
/api/user/totp

Disables TOTP and removes the configuration. Requires a single-use reauth ticket obtained by verifying any one of the user's factors (password, TOTP, or Passkey) via POST /api/user/reauth/verify (see consume_reauth). Cannot be disabled if the realm has force-enabled TOTP.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

reauth_token*string

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/user/totp" \  -H "Content-Type: application/json" \  -d '{    "reauth_token": "string"  }'
{  "disabledAt": "string",  "message": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}